Summary:        Modules manager (for distros based on MagicOS)
Name:           magicos-modmnger
Version:        0.0.1
Release:        %mkrel 4
License:        GPLv3+
URL:            https://code.google.com/p/magicos-soft
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       tk
Requires:       magicos-scripts
Requires:       beesu
Requires:       magicos-tools

%description
GUI for activate, deactivate, create and convert modules
(for distros based on MagicOS).

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}%{_datadir}/modmnger
mkdir -p %{buildroot}%{_datadir}/modmnger/msg
cp -f ./*.tcl %{buildroot}%{_datadir}/modmnger/
cp -f ./modmnger %{buildroot}%{_datadir}/modmnger/
cp -f ./msg/*.msg %{buildroot}%{_datadir}/modmnger/msg/
mkdir -p %{buildroot}%{_iconsdir}
cp -f ./module-icon.gif %{buildroot}%{_iconsdir}/
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f ./modmnger.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/modmnger/modmnger %{buildroot}%{_bindir}/modmnger
mkdir -p %{buildroot}%{_sysconfdir}
cp -f modmnger_globals %{buildroot}%{_sysconfdir}/
#install -dm 755 %{buildroot}%{_datadir}/applications
#install -m 0644 modmnger.desktop %{buildroot}%{_datadir}/applications/modmnger.desktop

%files
%doc rus.html AUTHORS
%{_bindir}/modmnger
%{_datadir}/modmnger
%{_iconsdir}/*.gif
%{_datadir}/pixmaps/modmnger.png
%config(noreplace) %{_sysconfdir}/modmnger_globals
#%{_datadir}/applications/modmnger.desktop


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-4.mga8
+ Revision: 1491365
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1263328
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.0.1-2.mga6
+ Revision: 951885
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 alexl <alexl> 0.0.1-1.mga5
+ Revision: 809418
- imported package magicos-modmnger

